
procedure CTRL_Shift_Keys;
var b:byte;
begin
  asm
    sti
    mov ah,2
    int $16
    mov b,al
    cli
  end;
  if b and 2 = 2 then begin
      if arm_links_status<5 then inc(arm_links_status)
    end else
      if arm_links_status>1 then dec(arm_links_status);
  if b and 1 = 1 then begin
      if arm_rechts_status<5 then inc(arm_rechts_status)
    end else
      if arm_rechts_status>1 then dec(arm_rechts_status);
end;

procedure keyboard;
var b:byte;
begin
  b:=0;
  asm
    sti
    mov ah,1
    int $16
    jz @nokey
      mov ah,0
      int $16
      mov b,al
    @nokey:
    cli
  end;
  ch:=chr(b);
end;
